Retrieves a gift.
Returns this specific gift details.
GET
Retrieves a gift.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id you used to create the given consumer
Unique ID of the special gift reward.
Response
OK
Amount of the transaction
Example:
-23.68
Unique ID of the object.
Example:
"e2c32b4b-de61-459b-accf-a75f76247946"
Name of the object
- PENDING_VALIDATION: The reward is pending the validation from the merchant.
- VALIDATED: The reward is now validated and waits for payment from the merchant.
- PAID_IN: The reward has been paid by the merchant.
- PAID_OUT: The reward has been paid to the consumer.
- CANCELLED: Cancelled by the merchant or by a technical action.
- ERROR: Technical error. Please contact PayLead.
Object creation datetime
Example:
"2019-01-31T15:16:15.523309+00:00"
Execution date of the transaction
Example:
"2019-01-31T12:00:00+00:00"
- PENDING_VALIDATION: The reward is pending the validation from the merchant.
- VALIDATED: The reward is now validated and waits for payment from the merchant.
- PAID_IN: The reward has been paid by the merchant.
- PAID_OUT: The reward has been paid to the consumer.
- CANCELLED: Cancelled by the merchant or by a technical action.
- ERROR: Technical error. Please contact PayLead.
Previous
Metrics GlobalThis route allows you to get the cashbacks of a specific consumer, ventilated per status.
Cashback statuses are:
- PENDING: The cashback has been generated but is not yet validated (PENDING_VALIDATION). total_pending_cashback_amount
- VALIDATED: A cashback that has passed the validation period (e.g. 14 days of retraction for a classical purchase). The cashback can't be cancelled when validated total_validated_cashback_amount.
- PAID_IN: The cashback money has been collected from the merchant, but not yet transfered (paid out) to the consumer. total_paid_in_cashback_amount
- PAID_OUT: The cashback money has been transfered to the consumer pay out account. total_paid_out_cashback_amount
- CANCELLED: The cashback has been cancelled. total_cancelled_cashback_amount
We also return the total number of cashbacks since user acceptance of the terms of services and the total amount of cashbacks, whatever the status.
Do not compute cancelled cashbacks in total amount and total cashbacks.
This is especially useful for programs with pool, enabling to show how much money has been collected so far, but not yet transferred to the consumer.
Next
Retrieves a gift.